---
title: rotate
slug: Web/SVG/Attribute/rotate
tags:
  - Animation
  - Experimental
  - Graphics
  - Reference
  - Rotate
  - SVG
---
<p>The <code>rotate</code> attribute specifies how the animated element rotates as it travels along a path specified in an {{SVGElement("animateMotion")}} element.</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>auto</code> | <code>auto-reverse</code> | {{cssxref("number")}}</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<p>The <code>auto</code> and <code>auto-reverse</code> values allow the animated element's rotation to change dynamically as it travels along the path. If the value of <code>rotate</code> is <code>auto</code>, the element turns to align its right-hand side in the current direction of motion. If the value is <code>auto-reverse</code>, it turns its left-hand side in the current direction of motion.</p>

<p>Setting <code>rotate</code>'s value to a number specifies a constant rotation, in degrees, that does not change with the animation. The default value of <code>0</code> keeps the animated element in its original orientation.</p>

<h2 id="Examples">Examples</h2>

<h3 id="SVG">SVG</h3>

<pre class="brush: html">&lt;svg width="400" height="120" viewBox="0 0 480 120"
    xmlns="http://www.w3.org/2000/svg"&gt;

  &lt;!-- Draw the outline of the motion path in grey --&gt;
  &lt;path d="M10,110 A120,120 -45 0,1 110 10 A120,120 -45 0,1 10,110"
      stroke="lightgrey" stroke-width="2"
      fill="none" id="theMotionPath"/&gt;

  &lt;!-- Red arrow which will not rotate --&gt;
  &lt;path fill="red" d="M-5,-5 L10,0 -5,5 0,0 Z"&gt;
    &lt;!-- Define the motion path animation --&gt;
    &lt;animateMotion dur="6s" repeatCount="indefinite" rotate="0"&gt;
      &lt;mpath href="#theMotionPath"/&gt;
    &lt;/animateMotion&gt;
  &lt;/path&gt;

  &lt;g transform="translate(100, 0)"&gt;
    &lt;use href="#theMotionPath"/&gt;
  &lt;!-- Green arrow which will rotate along the motion path --&gt;
  &lt;path fill="green" d="M-5,-5 L10,0 -5,5 0,0 Z"&gt;
    &lt;!-- Define the motion path animation --&gt;
    &lt;animateMotion dur="6s" repeatCount="indefinite" rotate="auto"&gt;
      &lt;mpath href="#theMotionPath"/&gt;
    &lt;/animateMotion&gt;
  &lt;/path&gt;
  &lt;/g&gt;

  &lt;g transform="translate(200, 0)"&gt;
    &lt;use href="#theMotionPath"/&gt;
  &lt;!-- Blue arrow which will rotate backwards along the motion path --&gt;
  &lt;path fill="blue" d="M-5,-5 L10,0 -5,5 0,0 Z"&gt;
    &lt;!-- Define the motion path animation --&gt;
    &lt;animateMotion dur="6s" repeatCount="indefinite" rotate="auto-reverse"&gt;
      &lt;mpath href="#theMotionPath"/&gt;
    &lt;/animateMotion&gt;
  &lt;/path&gt;
  &lt;/g&gt;

  &lt;g transform="translate(300, 0)"&gt;
    &lt;use href="#theMotionPath"/&gt;
  &lt;!-- Purple arrow which will have a static rotation of 210 degrees --&gt;
  &lt;path fill="purple" d="M-5,-5 L10,0 -5,5 0,0 Z"&gt;
    &lt;!-- Define the motion path animation --&gt;
    &lt;animateMotion dur="6s" repeatCount="indefinite" rotate="210"&gt;
      &lt;mpath href="#theMotionPath"/&gt;
    &lt;/animateMotion&gt;
  &lt;/path&gt;
  &lt;/g&gt;
&lt;/svg&gt;
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample('Examples')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG Animations 2", "#RotateAttribute", "rotate")}}</td>
   <td>{{Spec2("SVG Animations 2")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>
